\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, ../../yomcat}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 409 \hfill
Assignment 5 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item \begin{enumerate}[(a)]
		\item \begin{align*}
			\mf{A} \vDash_{\alpha} t(x, y) &= f^{\mf{A}}(\alpha(x), \alpha(y), f^{\mf{A}}(\alpha(x), \alpha(y), \alpha(y))) \\
			&= f^{\mf{A}}(2, 0, f^{\mf{A}}(2, 0, 0)) \\
			&= 2 + (-0) + (2 + (-0) + 0) \\
			&= 1
		\end{align*}
		\item \begin{align*}
			\mf{A} \vDash_{\alpha} t(x,y,z) &= f^{\mf{A}}(f^{\mf{A}}(\alpha(x), \alpha(y), f^{\mf{A}}(\alpha(x), \alpha(y), \alpha(z))), \alpha(y), \alpha(z)) \\
			&= f^{\mf{A}}(f^{\mf{A}}(0, 1, f^{\mf{A}}(0, 1, 2)), 1, 2) \\
			&= (0 + (-1) + (0 + (-1) + 2)) + (-1) + 2 \\
			&= 1
		\end{align*}
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item $\langle \{0\}, \{0,1,2\}, \{0,1\}, \binom{0}{2}, \binom{0\ 1\ 2}{2\ 2\ 2}\rangle$
		\item $\forall x \exists y \exists a \exists b \exists c \exists d ((0 < y) \land ((y = x) \lor (y = 0 - x)) \land (a \times a + b \times b + c\times c + d \times d = y))$
		\item $\forall x \exists y \exists k \exists l \exists n ((x < y) \land (y = (1 + 1) \times n) \land (0 < y) \land (y = k \times k - l \times l))$
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item $t_0 = 0$. Inductively define $t_{m + 1}$ as follows: $t_{m + 1} = t_m + 1$. Also, $t_{-m} = 0 - t_m$.
		\item The atomic \mbc{L}-formula $F_m(t_m)$, where $t_m$ is defined as in (a) defines the one element subset $\{m\}$ of \mbb{Z} and $F_m : m \mapsto \{m\}$
		\item Define $F_Y(x)$ as the union of all the $F_{m_{i}}$ for all $m_i \in Y$. This will define $Y$.
		\item The complement $\mbb{Z} \setminus X \subseteq \mbb{Z}$ is finite, so by (c), it is definable by an \mbc{L}-formula. As this is the elements that are in \mbb{Z} but not in $X$, it's negation is just the elements that are in $X$. So if $G$ defines the complement, $\lnot G$ defines $X$.
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item $\forall x \forall y \exists k \exists l \exists n ((k < 0) \land ((k = x) \lor (k = 0 - x)) \land (l < 0) \land ((l = x) \lor (l = 0 - x)) \land (k \times l = n) \land (0 < n))$
		\item $\forall x \forall l \exists n \exists k (((n = x) \lor (n = 0 - x)) \land (k \times k = n) \land \lnot (\l \times l = (0 - n)))$
		\item $\exists a \exists b \exists c (\forall x \lnot(a \times x \times x + b \times x + c = 0))$
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item $\exists k (k + 1 < 0)$ (true in \mbb{Z} but not true in \mbb{N})
		\item $\forall k \exists l (k \times l = 1)$ (true in $\mbb{R}^+$ but not true in $\mbb{Z}^+$)
	\end{enumerate}
	\item Free instances of $x$ are overlined: \ol{x}. \begin{enumerate}[(a)]
		\item $\forall y \exists x P(x, y, f(x, y), y) \land \forall w (P(\ol{x}, \ol{x}, w, w) \to f(x, w) = w)$
		\item $\exists x (P(x, y, z, z) \land \forall z P(z, x, z, x)) \lor \forall z P(\ol{x}, z, z, \ol{x})$
	\end{enumerate}
\end{enumerate}

\end{document}